<template>
	<div>
		<span v-if="data?.title" class="text-base font-bold flex-center">{{ data?.title }}</span>
		<AMISRenderer :schema="data?.amis_json" :context="data?.amis_data" @ready="amisReady"/>
	</div>
</template>

<script setup lang="ts">
import type { PropType } from 'vue';
import AMISRenderer from '/@/components/amis/AMISRenderer.vue';
import emitter from '/@/utils/mitt';

// import  周社会存销比 from './testData/周社会存销比.json'
// import  客户情况 from './testData/客户情况.json'

// import  市场综合状态 from './testData/市场综合状态.json'
// import  销售季度销量 from './testData/销售季度销量.json'
// import  经济运行 from './testData/经济运行.json'
import testData from './testData.json'

const props = defineProps({
	data: {
		type: Object as PropType<any>,
	},
});
const amisReady = (val) => {
	emitter.emit('amis.page.ready',val);
};


</script>
<style scoped lang="scss"></style>
